DROP DATABASE IF EXISTS lims_db; 
CREATE DATABASE lims_db;
use lims_db;

DROP TABLE IF EXISTS lims_user;
CREATE TABLE lims_user(
  uuid int NOT NULL AUTO_INCREMENT,
  
  account varchar(25) NOT NULL COMMENT '用户账号',
  name varchar(50) NOT NULL COMMENT '用户姓名',
  password varchar(64) NOT NULL DEFAULT '123456' COMMENT '用户密码',
  
  email varchar(25) COMMENT '电子邮箱',
  telephone varchar(25) COMMENT '电话号码',
  sex char(1) COMMENT '性别', -- 0女；1男
  birthday date COMMENT '出生年月',
  degree char(2)COMMENT '文化程度', -- 0:本科；1；硕士；2：博士；3：大专；9：其他

  minzu varchar(5) COMMENT '民族',
  jiguan varchar(80) COMMENT '籍贯',
  birthPlace varchar(80) COMMENT '出生地',
  zzmm varchar(15) COMMENT '政治面貌',
  rdday date COMMENT '加入党派时间',
  gz date COMMENT '参加工作时间',
  health varchar(15) COMMENT '健康状况',
  picture varchar(100) COMMENT '照片',
  
  jszw varchar(15) COMMENT '专业技术职务',
  zc varchar(200) COMMENT '熟悉专业有何特长',
  
  bumenId varchar(30) DEFAULT '' COMMENT '部门ID', 
  roleId varchar(30) DEFAULT '' COMMENT '角色ID',
  groupId varchar(30) DEFAULT '' COMMENT '所在组ID',
  
  cjday date COMMENT '创建时间',
  cjmanId varchar(15) COMMENT '创建者ID',
  gxday date COMMENT '最后更新时间',
  gxmanId varchar(15) COMMENT '最后更新者ID',
  
  pzday date COMMENT '批准时间',
  pzmanId varchar(15) COMMENT '批准者Id',
  
  status tinyint(2) NOT NULL DEFAULT '1' COMMENT '用户状态', -- 0禁用（离职)；1正常（在职）
  PRIMARY KEY (`uuid`),
  UNIQUE KEY `UNIQUE` (`account`)
)ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci AUTO_INCREMENT=100 COMMENT='人员基本情况';


-- 数据字典-性别。 注意命名格式要标准
DROP TABLE IF EXISTS lims_dict_sex;
CREATE TABLE lims_dict_sex (
  id varchar(10) NOT NULL comment '字典编码',
  name varchar(30) NOT NULL comment '字典名称',
  creater varchar(20) DEFAULT NULL COMMENT '创建人',
  create_time datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `key_value` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

